import React from 'react';
import { useNavigate } from "react-router-dom";
const Dashboard = () => {
  const navigate = useNavigate();
  var userDetails =[
    {id:1, name: "Radheshyam"},
    {id:2, name: "Amit"},
    {id:3, name: "Rajesh"},
  ]
  const userInfo=(name)=>{
    navigate(`/userinfo/${name}`);
  }
  return (
    <>
      <h3>Dashboard</h3>
      <p>User List:</p>
      <ul className="user">
        {
          userDetails.map((user) => {
            return(
              <li onClick={()=> userInfo(user.name)}>{user.name}</li>
            )
          })
        }
      </ul>
    </>
  );
};
export default Dashboard;